Reduce column width to 25em for mobile Minerva skin
Closed, ResolvedPublic

Description

In T33597, a responsive reference list based on the column-width CSS setting was introduced to MediaWiki. However, it appears that the same formatting is not available for mobile devices, which may still have some interest by using the screen in either a horizontal or a vertical fashion. Please add a similar CSS declaration to the mobile sites.

As @Arthur2e5 points out the current Minerva skin is purposely restricted to 55.8em
This means references will never be split into 2 columns as 30em*2=60em.
Dropping it to 25em would mean the css applies here and no more than 2 columns would ever be used to display references. I'm not sure if @Nirzar or another designer has any views there.

We can do this either as a skinStyle or for all skins.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2017, 5:55 AM
Arthur2e5 updated the task description. (Show Details)Mar 15 2017, 5:56 AM

The mobile site already has responsive references. Could you elaborate and share a URL where you are not seeing them as being responsive?

Arthur2e5 added a comment.EditedMar 15 2017, 9:45 PM

Ah, a more careful look at https://m.mediawiki.org/wiki/User:Artoria2e5/t1 shows the references is actually present. It's just the .content element being fixed to a max-width too small for the effects to show up. Should I still consider it an interoperability problem?

From what I can see, column-width: 25em appears to be a more viable value for mobile sites. Well, assuming responsive is useful.

TheDJ renamed this task from Enable responsive references on mobile devices to Unify responsive reference list styling of mobile and desktop.EditedMar 16 2017, 10:53 AM
TheDJ added a subscriber: TheDJ.

I think it's still a interoperability issue in principle. These things should just use the same styling, and not keep 2 sets of different styling for no reason. That is keeping us from having responsive support for content in all of our skins.

phuedx triaged this task as Normal priority.

It might be possible to mention the possibility of customizing the column-width for individual wikis via site-level CSS (rationale being they may have different averages for citation line lengths) while also mentioning mobile page width as a caveat in the documentation. This way MediaWiki itself may avoid changing the 35em value, which may have been determined as, say, a good enough value for most wikis.

If you need any help let us know but the issue looks to lie in the Cite extension.

That's not my understanding of the bug otherwise we would have done this as that would then be tech debt category and fixed already. Changes in Cite are needed first...

Sorry!

Can you please help me understand what changes in Cite you think we need to make first? The value of 25em being changed to 35em (mentioned in T160497#3104112) was done following your input, to align with what MobileFrontend designers (or someone) had picked. Do you think we should reverse that change and instead change it to 25em in MobileFrontend?

The other comments here that I can identify are "These things should just use the same styling, and not keep 2 sets of different styling for no reason.", which I thought reflects [[T160497#3122800|my comment]] and "It might be possible to mention the possibility of customizing the column-width for individual wikis via site-level CSS" which is already done via the site module (albeit via an ugly !important over-ride).

From my reading this task is mostly waiting on site config (setting wgCiteResponsiveReferences true, which is T159895).

Once that's done, we just need to cease or over-ride the behaviour in MobileFrontend's hacks.less; do you want another task for that part?

Jdlrobson added a subscriber: Nirzar.

Two options

  1. Revisit the 35em value. Drop it to 25. In code review I pointed out there was an inconsistency and I asked was there a reason for the different values. I wasn't saying 35 was wrong. Given this task, it seems we may or may not have an answer. What does @Nirzar think?
  2. Decline this bug and say this is expected behaviour.

Neither require MobileFrontend change.

As @Arthur2e5 points out the current Minerva skin is purposely restricted to 55.8em
This means references will never be split into 2 columns as 35em*2=70em.
Dropping it to 25em would mean the css applies here and no more than 2 columns would ever be used to display references. I'm not sure if @Nirzar or another designer has any views there.

From what I see the MobileFrontend css is not applying here - there is no .references-column-count on the example given. Removal of this code is orthoganal to the problem here.

Izno added a subscriber: Izno.Mar 27 2017, 9:09 PM

(Possibly a side note:) I'm not sure where the value of 35em comes from--en.WP generally uses 30em. Can someone explain how we got to 35em (or point me to that discussion)?

Change 359354 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Cite@master] Apply column-width in Minerva skin

https://gerrit.wikimedia.org/r/359354

Jdlrobson renamed this task from Unify responsive reference list styling of mobile and desktop to Reduce column width to 25em for mobile skin - Unify responsive reference list styling of mobile and desktop.Jun 15 2017, 10:21 PM
Jdlrobson updated the task description. (Show Details)

The mobile skin has a max-width of around 25em. The 35em predates the max width so I assume that's where the original confusion came from.

Jdlrobson updated the task description. (Show Details)Jun 15 2017, 10:24 PM

Change 359493 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Cite@master] Reduce column-width to 25em for Minerva skin

https://gerrit.wikimedia.org/r/359493

Qgil removed a subscriber: Qgil.Jun 16 2017, 6:20 PM

Change 359493 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Reduce column-width to 25em for Minerva skin

https://gerrit.wikimedia.org/r/359493

TheDJ added a comment.Jul 11 2017, 3:12 PM

FYI, I've just changed {{Reflist}} to also use the responsive columns, whenever the user had not specified an explicit width.

Change 359354 abandoned by Jdlrobson:
Reduce column-width to 25em for all skins to support Minerva

Reason:
See https://gerrit.wikimedia.org/r/#/c/359493/

https://gerrit.wikimedia.org/r/359354

Jdlrobson closed this task as Resolved.Jul 12 2017, 12:04 AM
Jdlrobson claimed this task.
Izno added a comment.Jul 12 2017, 9:47 PM

I'm feeling dumb. @Jdlrobson , how does the the Tuesday commit unify the styles? Or is the name of the task still incorrectly named? Or....?

Jdlrobson renamed this task from Reduce column width to 25em for mobile skin - Unify responsive reference list styling of mobile and desktop to Reduce column width to 25em for mobile Minerva skin.Jul 12 2017, 9:50 PM